From fff068048a103a3f4c841cf099c5eb537d13da09 Mon Sep 17 00:00:00 2001
From: "Li, Hong" <Hong.Li@mdc-berlin.de>
Date: Tue, 25 Oct 2022 15:33:37 +0200
Subject: [PATCH] Add r-seuratwrappers

---
 gnu/packages/cran.scm | 35 +++++++++++++++++++++++++++++++++++
 1 file changed, 35 insertions(+)

diff --git a/gnu/packages/cran.scm b/gnu/packages/cran.scm
index 34edbd3378..755d8af378 100644
--- a/gnu/packages/cran.scm
+++ b/gnu/packages/cran.scm
@@ -30673,6 +30673,41 @@ (define-public r-seurat
 discovery of differentially expressed genes and markers.")
     (license license:gpl3)))
 
+(define-public r-seuratwrappers
+  (let ((commit "d28512f804d5fe05e6d68900ca9221020d52cf1d")
+        (revision "1"))
+    (package
+      (name "r-seuratwrappers")
+      (version (git-version "0.3.1" revision commit))
+      (source (origin
+                (method git-fetch)
+                (uri (git-reference
+                      (url "https://github.com/satijalab/seurat-wrappers")
+                      (commit commit)))
+                (file-name (git-file-name name version))
+                (sha256
+                 (base32
+                  "0rm74y2fj3cmiqn7jz1ald8jbw53c2qxkj3mgl4pxih9vx39jhgy"))))
+      (properties `((upstream-name . "SeuratWrappers")))
+      (build-system r-build-system)
+      (propagated-inputs (list r-biocmanager
+                               r-cowplot
+                               r-ggplot2
+                               r-igraph
+                               r-matrix
+                               r-remotes
+                               r-rlang
+                               r-rsvd
+                               r-seurat))
+      (home-page "https://github.com/satijalab/seurat-wrappers")
+      (synopsis
+       "Community-Provided Methods and Extensions for the Seurat Object")
+      (description
+       "SeuratWrappers is a collection of community-provided methods and extensions for
+Seurat, curated by the Satija Lab at NYGC.  These methods comprise functionality
+not presently found in Seurat, and are able to be updated much more frequently.")
+      (license license:gpl3)))
+
 (define-public r-seuratdisk
   (let ((commit "163f1aade5bac38ed1e9e9c912283a7e74781610")
         (revision "1"))
-- 
2.34.1

